#
# changes by CERN: add afs fs_t
%define type targeted
%define POLICYVER 18
%define POLICYDIR /etc/selinux/%{type}
%define FILE_CONTEXT %{POLICYDIR}/contexts/files/file_contexts
%define PRE_FILE_CONTEXT %{FILE_CONTEXT}.pre
%define CHECKPOLICYVER 1.16.3 
%define POLICYCOREUTILSVER 1.18.1-4.7
Summary: SELinux %{type} policy configuration
Name: selinux-policy-%{type}
Version: 1.17.30
Release: 2.110.SL
License: GPL
Group: System Environment/Base
Source: http://www.nsa.gov/selinux/archives/policy-%{version}.tgz
Source1: booleans
BuildRoot: %{_tmppath}/%{name}-buildroot
Patch: policy-%{type}.patch
Patch1: policy-20050104.patch
Patch100: selinux-afs.patch

BuildArch: noarch
BuildRequires: checkpolicy >= %{CHECKPOLICYVER} m4 policycoreutils 
BuildRequires: python
Requires: policycoreutils >= %{POLICYCOREUTILSVER}
Obsoletes: policy 

%description
Security-enhanced Linux is a patch of the Linux® kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement®, Role-based Access
Control, and Multi-level Security.

This package contains the SELinux example policy configuration along
with the Flask configuration information and the application
configuration files.  

%prep
%setup -q -n policy-%{version}
# Change strict to targeted
%patch -p1 
%patch1 -p1

%patch100
%build
mv domains/misc/*.te domains/misc/unused
mv domains/program/*.te domains/program/unused/
rm domains/*.te
for i in initrc.te apache.te dhcpd.te ldconfig.te mailman.te mysqld.te mta.te named.te nscd.te ntpd.te pegasus.te portmap.te postgresql.te snmpd.te squid.te syslogd.te winbind.te ypbind.te; do
mv domains/program/unused/$i domains/program/
done
rm -rf domains/program/unused
rm -rf domains/misc/used
cp -R %{type}/* .
echo "define(\`targeted_policy')"  > tunables/tunable.tun
echo "define(\`nscd_all_connect')"  >> tunables/tunable.tun
echo "define(\`nfs_home_dirs')"  >> tunables/tunable.tun
echo "define(\`hide_broken_symptoms')"  >> tunables/tunable.tun
echo "define(\`unlimitedRC')"  >> tunables/tunable.tun
make policy

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/root
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/%{type}/contexts/users
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/%{type}/contexts/files
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8/
make DESTDIR="${RPM_BUILD_ROOT}" install
make clean
make DESTDIR="${RPM_BUILD_ROOT}" install-src
install -m 644 ${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/%{type}/src/policy/man/man8/*.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/
rm -rf "${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/%{type}/src/policy/man"
rm -rf "${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/%{type}/src/policy/targeted"
rm -rf "${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/%{type}/src/policy"/*.spec
install -m0700 %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/%{type}/
touch ${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/%{type}/src/policy/policy.conf
touch ${RPM_BUILD_ROOT}%{_sysconfdir}/selinux/config

%clean
rm -rf ${RPM_BUILD_ROOT}

%files 
%defattr(-,root,root)
%dir %{_sysconfdir}/selinux
%ghost %config(noreplace) %{_sysconfdir}/selinux/config
%dir %{_sysconfdir}/selinux/%{type}
%dir %{_sysconfdir}/selinux/%{type}/policy
%dir %{_sysconfdir}/selinux/%{type}/contexts
%dir %{_sysconfdir}/selinux/%{type}/contexts/files
%dir %{_sysconfdir}/selinux/%{type}/contexts/users
%config (noreplace) %{_sysconfdir}/selinux/%{type}/booleans
%config(noreplace) %{_sysconfdir}/selinux/%{type}/policy/policy\.*
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/files/file_contexts
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/files/media
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/default_contexts
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/default_type
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/initrc_context
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/failsafe_context
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/removable_context
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/userhelper_context
%config(noreplace) %{_sysconfdir}/selinux/%{type}/contexts/users/root
%{_mandir}/man8/*

%pre
if [ -f %{FILE_CONTEXT} ]; then
	cp -f %{FILE_CONTEXT} %{PRE_FILE_CONTEXT}
fi
exit 0

%post
if [ ! -s /etc/selinux/config ]; then
	if [ -s /etc/sysconfig/selinux ]; then 
		#
		#	Previous install of FC2 so we will default 
		#       to strict policy
		#
		mv /etc/sysconfig/selinux /etc/selinux/config
		echo "
# SELINUXTYPE= can take one of these two values:
#	targeted - Only targeted network daemons are protected.
#	strict - Full SELinux protection.
SELINUXTYPE=strict " >> /etc/selinux/config
		rm -f /etc/sysconfig/selinux
	else
		#
		#	New install so we will default to targeted policy
		#
		echo "
# This file controls the state of SELinux on the system.
# SELINUX= can take one of these three values:
#	enforcing - SELinux security policy is enforced.
#	permissive - SELinux prints warnings instead of enforcing.
#	disabled - No SELinux policy is loaded.
SELINUX=enforcing
# SELINUXTYPE= can take one of these two values:
#	targeted - Only targeted network daemons are protected.
#	strict - Full SELinux protection.
SELINUXTYPE=targeted " > /etc/selinux/config

	fi
fi
ln -sf /etc/selinux/config /etc/sysconfig/selinux 
restorecon /etc/selinux/config 2> /dev/null

if [ -x /usr/sbin/selinuxenabled ] && /usr/sbin/selinuxenabled && [ -e /selinux/policyvers ]; then
	. /etc/selinux/config
	if [ "${SELINUXTYPE}" = "%{type}" -a ! -s %{POLICYDIR}/src/policy/Makefile ]; then
		[ -x /usr/sbin/load_policy ] &&	/usr/sbin/load_policy %{POLICYDIR}/policy/policy.`cat /selinux/policyvers`
		[ -f %{PRE_FILE_CONTEXT} ] && fixfiles -l /dev/null -C %{PRE_FILE_CONTEXT} restore && rm -f %{PRE_FILE_CONTEXT} 
	fi
fi
exit 0

%package sources
Summary: SELinux example policy configuration source files 
Group: System Environment/Base
PreReq: m4 make checkpolicy >= %{CHECKPOLICYVER} policycoreutils 
PreReq: selinux-policy-%{type} = %{version}-%{release}
Requires: python
BuildRequires: checkpolicy  >= %{CHECKPOLICYVER} policycoreutils 
Obsoletes: policy-sources

%description sources
This subpackage includes the source files used to build the policy
configuration.  Includes policy.conf and the Makefiles, macros and
source files for it.

%files sources
%defattr(0600,root,root,0700)
%config(noreplace) %{_sysconfdir}/selinux/%{type}/src/policy/users
%dir %{_sysconfdir}/selinux/%{type}/src/policy/tunables
%config %{_sysconfdir}/selinux/%{type}/src/policy/tunables/*.tun
%dir %{_sysconfdir}/selinux/%{type}/src
%dir %{_sysconfdir}/selinux/%{type}/src/policy
%{_sysconfdir}/selinux/%{type}/src/policy/ChangeLog
%{_sysconfdir}/selinux/%{type}/src/policy/COPYING
%{_sysconfdir}/selinux/%{type}/src/policy/Makefile
%{_sysconfdir}/selinux/%{type}/src/policy/README
%{_sysconfdir}/selinux/%{type}/src/policy/VERSION
%dir %{_sysconfdir}/selinux/%{type}/src/policy/appconfig
%config %{_sysconfdir}/selinux/%{type}/src/policy/appconfig/*
%config %{_sysconfdir}/selinux/%{type}/src/policy/assert.te
%config %{_sysconfdir}/selinux/%{type}/src/policy/attrib.te
%config %{_sysconfdir}/selinux/%{type}/src/policy/constraints
%dir %{_sysconfdir}/selinux/%{type}/src/policy/domains
%config %{_sysconfdir}/selinux/%{type}/src/policy/domains/*
%dir %{_sysconfdir}/selinux/%{type}/src/policy/file_contexts
%config %{_sysconfdir}/selinux/%{type}/src/policy/file_contexts/*
%dir %{_sysconfdir}/selinux/%{type}/src/policy/flask
%config %{_sysconfdir}/selinux/%{type}/src/policy/flask/*
%config %{_sysconfdir}/selinux/%{type}/src/policy/fs_use
%config %{_sysconfdir}/selinux/%{type}/src/policy/genfs_contexts
%config %{_sysconfdir}/selinux/%{type}/src/policy/initial_sid_contexts
%dir %{_sysconfdir}/selinux/%{type}/src/policy/macros
%config %{_sysconfdir}/selinux/%{type}/src/policy/macros/*
%config %{_sysconfdir}/selinux/%{type}/src/policy/mls
%config %{_sysconfdir}/selinux/%{type}/src/policy/net_contexts
%config %{_sysconfdir}/selinux/%{type}/src/policy/rbac
%config %{_sysconfdir}/selinux/%{type}/src/policy/serviceusers
%dir %{_sysconfdir}/selinux/%{type}/src/policy/types
%config %{_sysconfdir}/selinux/%{type}/src/policy/types/*
%ghost %{_sysconfdir}/selinux/%{type}/src/policy/policy.conf
%ghost %{_sysconfdir}/selinux/%{type}/src/policy/tmp

%post sources
if [ -x /usr/sbin/selinuxenabled -a -f /etc/selinux/config ]; then
	. /etc/selinux/config
	if [ "${SELINUXTYPE}" = "%{type}" ] && /usr/sbin/selinuxenabled; then
		make -C %{POLICYDIR}/src/policy -W %{POLICYDIR}/src/policy/users load > /dev/null 2>&1
		[ -f %{PRE_FILE_CONTEXT} ] && fixfiles -l /dev/null -C %{PRE_FILE_CONTEXT} restore && rm -f %{PRE_FILE_CONTEXT} 
	fi
fi
exit 0

%changelog
* Mon Nov 7 2005 Jan Iven <jan.iven@cern.ch> 1.17.30-2.110.cern
- try to get AFS to start, prevent userdirs from being labelled

* Thu Sep 8 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.110
- Add pegasys policy

* Thu Sep 1 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.108
- Allow snmpd to listen to create its own socket
- Only run fixfiles if .pre file exists.

* Tue Aug 30 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.106
- Fix squid to listen on gopher, ftp and httpd
- Allow snmpd to listen on its own socket
- Allow windbind_helper to append to squid logs

* Mon Aug 22 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.105
- Change dependancy to rely on new version of fixfiles in policycoreutils

* Fri Aug 19 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.104
- Fix transition rules from unconfined_t to initrc_t

* Wed Aug 17 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.103
- Change dependancy to rely on new version of fixfiles in policycoreutils

* Thu Jul 21 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.101
- Fix file context

* Tue Jul 19 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.100
- Rebase to match fixes in FC3

* Tue Apr 19 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.97
- Rebase to match fixes in FC3
	- Allow snmpd to communicate with self:fifo_file.
	- Add execmod/execmem privs
	- Prepare policy for kernel rebase
	- Allow nscd and named to write to /var/log
	- Fix /var/lib/nfs/rpc_pipefs(/.*)?
	- Better handling of logrotate
	- Allow logrotate to handle tmpfs /tmp
	- Allow system_mail_t access to random_device_t
	- Backport many changes from rawhide
	- Allow httpd getattr on etc_t lnk
	- Switch to use read_sysctl
	- Clean up postgresql file_contexts
	- Allow nscd to handle certificates
	- Allow listen on stream sockets for httpd_sys_script_t
	- Fix buildrequires to grab correct policycoreutils
	
* Fri Feb 25 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.85
- more fixes for postfix in squirrelmail 

* Thu Feb 17 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.84
- Fix rules for postfix in squirrelmail 

* Thu Feb 17 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.83
- Allow squirrelmail check spelling to work

* Wed Feb 9 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.81
- Allow syslog to use @host and | commands

* Tue Feb 8 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.80
- Fix Makefile to match upstream
- Allow mailman to create list and bulkload list members
- Fix file_contexts spec

* Fri Feb 4 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.78
- Backport changes to spec file

* Thu Feb 3 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.77
- Allow dhcpd to read /etc/rndc.key files

* Thu Feb 3 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.76
- If httpd_disable_trans set make sure cgi do not transition

* Fri Jan 28 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.75
- Remove automount.te checks

* Wed Jan 26 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.74
- Allow httpd to execute httpdcontent
- Change file_context on postgresql helper apps back to bin_t
- Add typealias for shlib_t to lib_t 

* Wed Jan 19 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.73
- Allow dhcpd to read random devices

* Wed Jan 11 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.72
- Allow dhcpd to read certs files

* Tue Jan 11 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.71
- Allow nscd to read usr_t to read cert files.
- Fix posgresql to allow ypbind, and fix db creation stuff

* Wed Jan 5 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.68
- Require policycoreutils for selinux-policy-targeted
- Run ldconfig as an unconfined_domain

* Tue Jan 4 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.66
- Add emul and mysql stuff from rawhide

* Mon Jan 3 2005 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.65
- Allow httpd_suexec_t to read homedirs
- Allow ldconfig to read lib_t files
- Allow all file_types to be associated with noexettr file systems
- Allow apache scripts to read fonts_t 
- dontaudit squid trying to read /
- Allow squid to read/write tmpfs_t.

* Thu Dec 30 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.62
- Allow postgres to exec itself

* Wed Dec 21 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.61
- Allow ntpd to talk to winbind socket

* Wed Dec 21 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.60
- Fix winbind and ntpd communication

* Wed Dec 21 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.59
- Fix squid

* Tue Dec 21 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.58
- Back port changes for apache_macros.te file to support php execing ls

* Tue Dec 21 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.57
- Add general domain access to squid

* Mon Dec 20 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.56
- Allow nscd to use random_device_t
- Change initdb to run under postgresql_t

* Mon Dec 20 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.55
- Allow windbind to create files in samba directories.
- Allow sendmail to read urandom

* Fri Dec 17 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.54
- Fixes for ldconfig

* Fri Dec 17 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.53
- Bump for FC3

* Fri Dec 17 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.52
- Add emul patch

* Fri Dec 10 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.50
- nscd needs access to random_device_t

* Fri Dec 10 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.49
- Bump for RHEL

* Fri Dec 10 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.48
- Add winbind support for nscd and netlink_sockets for all

* Wed Dec 8 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.46
- Rebuild with patch including php ls /var/www/html fix.

* Wed Dec 8 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.44
- Add urandom for nscd/ldap support
- Add minor fix for editing mailman
- Add syslog to xconsole fix

* Fri Dec 3 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.42
- Fix squirrelmail attachements
- Fix policy sources post install

* Fri Dec 3 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.41
- Allow httpd scripts execute of sbin_t

* Thu Dec 3 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.40
- Update file context to handle IBM platforms

* Tue Nov 30 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.39
- Changes to make htdig work

* Tue Nov 30 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.38
- Fix ntpd to be able to read cert.pem file

* Tue Nov 30 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.37
- Remove mysql change

* Mon Nov 29 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.36
- Fix mysql, postgres, squid

* Mon Nov 22 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.34
- Fix selinuxenabled change.
- Other minor changes

* Mon Nov 22 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.33
- Fix postgres/httpd communication

* Fri Nov 19 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.32
- Fix postgres/httpd communication

* Wed Nov 16 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.31
- Fix unified patch for httpd

* Tue Nov 16 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.30
- Add ldconfig

* Tue Nov 16 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.29
- Add code to allow httpd to communicate with tty for ssl key

* Mon Nov 15 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.28
- Add can_exec sbin_t and bin_t to squid policy

* Fri Nov 12 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.27
- tighten up squirrelmail access
- Add postgresql.te

* Fri Nov 12 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.26
- Add mta.te so that squirrelmail will work.

* Thu Nov 11 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.24
- Fix ntpd to allow reading of mtab file

* Wed Nov 10 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.23
- Fix communications with mysqld

* Wed Nov 10 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.22
- Add new allow rules for httpd_t to write sys_content.
- Cleanup some of the te files for easier merging
- add mysqld.te

* Wed Nov 10 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.21
- Allow apache to read bin_t link files

* Fri Nov 5 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.20
- Add a couple of tunables to turn on NFS support and hide_broken_symptoms

* Mon Nov 1 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.19
- Fix patch

* Mon Nov 1 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.16
- Fix mailman file context

* Mon Nov 1 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.15
- Add associate patch for removable devices

* Mon Nov 1 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.14
- Fix patch and add portmap fix

* Sat Oct 30 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.13
- Fix location of mailman lock file

* Mon Oct 25 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.11
- Fix spec file

* Mon Oct 25 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.10
- Retag for different branch

* Mon Oct 25 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.9
- Cleanup make load so it does not spew stuff on a reload of policy.


* Thu Oct 21 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.8
- fix snmpd ioctl on etc_t

* Wed Oct 20 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.7
- Add types for nss_db files in /var/db/
- Bug #136522

* Wed Oct 20 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.6
- Allow squid to read squid_conf_t lnk files

* Tue Oct 19 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.5
- Fix nscd problems with directory.
- Fix placement of httpdcontent attribute

* Tue Oct 19 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.4
- Add apache unified patch to allow all content to be treated the same.

* Tue Oct 19 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.3
- Fix /var/run/named and /var/run/mailman context

* Mon Oct 18 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2.2
- Add mailman changes to cover rearrangement
- Add fixes to make ldap patch on nscd work.
- Move back to version 1.17.30 for FC3 release.
- Add nscd /var/db/nscd directory

* Thu Oct 13 2004 Dan Walsh <dwalsh@redhat.com> 1.17.32-1
- Latest from NSA

* Thu Oct 13 2004 Dan Walsh <dwalsh@redhat.com> 1.17.31-2
- Begin fixing bugs when turning off unlimitedinitrc

* Wed Oct 13 2004 Dan Walsh <dwalsh@redhat.com> 1.17.31-1
- Small fixes to cleanup reboot
- FTP RLOGIN RSH
- Update with NSA

* Wed Oct 13 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-3
- Small fixes to cleanup reboot

* Tue Oct 12 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-2
- Cleanup patch 
- Add removable_t associate

* Sat Oct 09 2004 Dan Walsh <dwalsh@redhat.com> 1.17.30-1
- Upstream merge from NSA
- Add arpwatch.
- Turned on every service on machine and got multiple avc messages.

* Thu Oct 07 2004 Dan Walsh <dwalsh@redhat.com> 1.17.29-4
- Make allow_ypbind into a boolean

* Thu Oct 07 2004 Dan Walsh <dwalsh@redhat.com> 1.17.29-3
- Add reserved_port_type

* Thu Oct 07 2004 Dan Walsh <dwalsh@redhat.com> 1.17.29-2
- minor fixes
- Fix nfsd and ypbind

* Thu Oct 07 2004 Dan Walsh <dwalsh@redhat.com> 1.17.29-1
- Update for latest from NSA

* Wed Oct 06 2004 Dan Walsh <dwalsh@redhat.com> 1.17.28-2
- Add reiser fix
- allow syslog_t to access tmpfs_t for minilog

* Wed Oct 06 2004 Dan Walsh <dwalsh@redhat.com> 1.17.28-1
- Update from NSA
- Rearrange rpm.te file for targeted policy

* Tue Oct 05 2004 Dan Walsh <dwalsh@redhat.com> 1.17.27-1
- Update from NSA

* Mon Oct 04 2004 Dan Walsh <dwalsh@redhat.com> 1.17.26-3
- Fix inetd_child stuff.

* Mon Oct 04 2004 Dan Walsh <dwalsh@redhat.com> 1.17.26-2
- Cleanup sendmail policy.

* Fri Oct 01 2004 Dan Walsh <dwalsh@redhat.com> 1.17.26-1
- Update with NSA

* Thu Sep 30 2004 Dan Walsh <dwalsh@redhat.com> 1.17.25-1
- Minor fixes
- Fix snmpd.te to allow creation of /var/net-snmp

* Thu Sep 30 2004 Dan Walsh <dwalsh@redhat.com> 1.17.24-4
- Minor fixes
- Fix snmpd.te to allow creation of /var/net-snmp

* Wed Sep 29 2004 Dan Walsh <dwalsh@redhat.com> 1.17.24-3
- Add tvtime 

* Wed Sep 29 2004 Dan Walsh <dwalsh@redhat.com> 1.17.24-2
- New fixes for comsat
- Add removable_context

* Wed Sep 29 2004 Dan Walsh <dwalsh@redhat.com> 1.17.24-1
- New location for mailman
- Update from NSA
- Fixes for ktalkd

* Tue Sep 28 2004 Dan Walsh <dwalsh@redhat.com> 1.17.23-2
- Add vpnc policy

* Mon Sep 27 2004 Dan Walsh <dwalsh@redhat.com> 1.17.23-1
- Add changes for homedir
- Update to latest from NSA

* Mon Sep 27 2004 Dan Walsh <dwalsh@redhat.com> 1.17.22-1
- Remove screensaver stuff

* Fri Sep 24 2004 Dan Walsh <dwalsh@redhat.com> 1.17.21-1
- Latest from NSA
- Added inetd_macros.te and swat, in.comcast, ktalkd, rsync policy
- Many fixes for strict policy

* Thu Sep 23 2004 Dan Walsh <dwalsh@redhat.com> 1.17.20-3
- Apply Russell's patch

* Thu Sep 23 2004 Dan Walsh <dwalsh@redhat.com> 1.17.20-2
- Change nfs tunables into booleans for reading exported file systems

* Thu Sep 23 2004 Dan Walsh <dwalsh@redhat.com> 1.17.20-1
- Update with NSA fixes.

* Tue Sep 21 2004 Dan Walsh <dwalsh@redhat.com> 1.17.19-2
- Many fixes for nscd

* Tue Sep 21 2004 Dan Walsh <dwalsh@redhat.com> 1.17.19-1
- Update to latest from NSA

* Fri Sep 17 2004 Dan Walsh <dwalsh@redhat.com> 1.17.18-3
- Add associate file_type nfs_t for mv command

* Fri Sep 17 2004 Dan Walsh <dwalsh@redhat.com> 1.17.18-2
- Change targeted policy to use devfs.

* Thu Sep 16 2004 Dan Walsh <dwalsh@redhat.com> 1.17.18-1
- Fix rhgb and console

* Thu Sep 16 2004 Dan Walsh <dwalsh@redhat.com> 1.17.17-3
- Allow nscd to read context files

* Thu Sep 16 2004 Dan Walsh <dwalsh@redhat.com> 1.17.17-2
- Add removable_t for all removable media

* Thu Sep 16 2004 Dan Walsh <dwalsh@redhat.com> 1.17.17-1
- Update from NSA

* Wed Sep 15 2004 Dan Walsh <dwalsh@redhat.com> 1.17.16-3
- add context for /lib/tls/i486
- Fix /etc/mozpluggerrc

* Wed Sep 15 2004 Dan Walsh <dwalsh@redhat.com> 1.17.16-2
- Cleanup patch

* Wed Sep 15 2004 Dan Walsh <dwalsh@redhat.com> 1.17.16-1
- Update to match NSA Policy
- Added proc_fs attributes

* Tue Sep 14 2004 Dan Walsh <dwalsh@redhat.com> 1.17.15-3
- More nscd fixes

* Tue Sep 14 2004 Dan Walsh <dwalsh@redhat.com> 1.17.15-2
- New changes for nscd in targeted policy.  Small cleanup of can_ypbind

* Tue Sep 14 2004 Dan Walsh <dwalsh@redhat.com> 1.17.15-1
- Update from NSA

* Fri Sep 10 2004 Dan Walsh <dwalsh@redhat.com> 1.17.14-1
- Update from NSA

* Fri Sep 10 2004 Dan Walsh <dwalsh@redhat.com> 1.17.13-1
- Update from NSA
- Fixed for dbus

* Thu Sep 9 2004 Dan Walsh <dwalsh@redhat.com> 1.17.12-1
- Add media context file
- Add ncsd.te to targeted policy

* Wed Sep 8 2004 Dan Walsh <dwalsh@redhat.com> 1.17.11-2
- Many changes to get X and dbus to work with /dev on tmpfs

* Wed Sep 8 2004 Dan Walsh <dwalsh@redhat.com> 1.17.11-1
- Update from NSA

* Tue Sep 7 2004 Dan Walsh <dwalsh@redhat.com> 1.17.10-2
- Fix named file context and add dbus patch from Colin
- Fix udev and tmpfs boot problems

* Thu Sep 4 2004 Dan Walsh <dwalsh@redhat.com> 1.17.10-1
- Update from NSA

* Thu Sep 2 2004 Dan Walsh <dwalsh@redhat.com> 1.17.9-2
- Clean up patch

* Thu Sep 2 2004 Dan Walsh <dwalsh@redhat.com> 1.17.9-1
- Latest from NSA
- Merge in Russell Changes

* Wed Sep  1 2004 Jeremy Katz <katzj@redhat.com> - 1.17.8-2
- use underlying context for tmpfs

* Tue Aug 31 2004 Dan Walsh <dwalsh@redhat.com> 1.17.8-1
- Update from NSA
	* Added reserved_port_t type and portcon entries to map all other
	  reserved ports to this type.
	* Added distro_ prefix to distro tunables to avoid conflicts.
	* Merged diffs from Russell Coker.

* Mon Aug 30 2004 Dan Walsh <dwalsh@redhat.com> 1.17.7-1
- Update with uli's fixes

* Mon Aug 30 2004 Dan Walsh <dwalsh@redhat.com> 1.17.6-1
- Update for NSA
- Add ssh policy fixes

* Fri Aug 27 2004 Dan Walsh <dwalsh@redhat.com> 1.17.5-2
- Fix spec file

* Fri Aug 27 2004 Dan Walsh <dwalsh@redhat.com> 1.17.5-1
- Update from NSA
- Add ftpd_is_daemon=1 boolean

* Fri Aug 27 2004 Dan Walsh <dwalsh@redhat.com> 1.17.4-5
- Fix patch and spec file

* Thu Aug 26 2004 Dan Walsh <dwalsh@redhat.com> 1.17.4-4
- Add cdrom check for makefile
- Add some patches from Russell

* Wed Aug 25 2004 Dan Walsh <dwalsh@redhat.com> 1.17.4-3
- Fix directory ownership

* Wed Aug 25 2004 Dan Walsh <dwalsh@redhat.com> 1.17.4-2
- Fix portmap name_bind to reserved_port_t

* Wed Aug 25 2004 Dan Walsh <dwalsh@redhat.com> 1.17.4-1
- More changes to make named work
- Added can_ypbind to several te files

* Tue Aug 24 2004 Dan Walsh <dwalsh@redhat.com> 1.17.3-2
- Russell Changes to Named
- Add unrestricted attribute

* Tue Aug 24 2004 Dan Walsh <dwalsh@redhat.com> 1.17.3-1
- Latest from NSA
- Portmap change

* Mon Aug 23 2004 Dan Walsh <dwalsh@redhat.com> 1.17.2-1
- Colin patch to check file_contexts
- Add rssh policy
- Latest from NSA

* Sun Aug 22 2004 Dan Walsh <dwalsh@redhat.com> 1.17.1-1
- Update from NSA

* Thu Aug 19 2004 Colin Walters <walters@redhat.com> 1.15.16-2
- Add printer_device_t to types/devices.te, remove from lpd.te.

* Wed Aug 18 2004 Dan Walsh <dwalsh@redhat.com> 1.15.16-1
- Update from NSA, fixes for udev

* Tue Aug 17 2004 Dan Walsh <dwalsh@redhat.com> 1.15.15-1
- Update from NSA, remove unused te files

* Fri Aug 13 2004 Dan Walsh <dwalsh@redhat.com> 1.15.14-1
- Update from NSA

* Wed Aug 11 2004 Dan Walsh <dwalsh@redhat.com> 1.15.13-4
- Make booleans specific to policy type

* Wed Aug 11 2004 Dan Walsh <dwalsh@redhat.com> 1.15.13-3
- Fix booleans

* Wed Aug 11 2004 Dan Walsh <dwalsh@redhat.com> 1.15.13-2
- Fix bind to work in targeted policy

* Sat Aug 8 2004 Dan Walsh <dwalsh@redhat.com> 1.15.13-1
- Latest changes from NSA including more booleans changes.

* Tue Aug 3 2004 Dan Walsh <dwalsh@redhat.com> 1.15.12-1
- Update to latest from NSA
- Major rewrite to use booleans

* Tue Aug 3 2004 Dan Walsh <dwalsh@redhat.com> 1.15.11-2
- Fix targeted policy to create tun file

* Sat Jul 31 2004 Dan Walsh <dwalsh@redhat.com> 1.15.11-1
- Update to latest from NSA
- Rename tunables to .tun

* Thu Jul 29 2004 Dan Walsh <dwalsh@redhat.com> 1.15.10-1
- Update to latest from NSA

* Wed Jul 28 2004 Dan Walsh <dwalsh@redhat.com> 1.15.9-1
- Fix audit2allow by adding auditallow load_policy to unconfined_t

* Tue Jul 27 2004 Dan Walsh <dwalsh@redhat.com> 1.15.8-3
- Fix tunables

* Tue Jul 27 2004 Dan Walsh <dwalsh@redhat.com> 1.15.8-1
- Latest from NSA

* Mon Jul 26 2004 Dan Walsh <dwalsh@redhat.com> 1.15.7-6
- New policy for bind, fix net_contexts

* Wed Jul 21 2004 Dan Walsh <dwalsh@redhat.com> 1.15.7-4
- Fixes for ptal

* Tue Jul 20 2004 Dan Walsh <dwalsh@redhat.com> 1.15.7-3
- Fix udev spec

* Mon Jul 19 2004 Dan Walsh <dwalsh@redhat.com> 1.15.7-2
- Add patches for NFS Home dirs and some suse patches

* Mon Jul 19 2004 Dan Walsh <dwalsh@redhat.com> 1.15.7-1
- Latest version from NSA

* Fri Jul 16 2004 Dan Walsh <dwalsh@redhat.com> 1.15.6-2
- Fix firefox spec and other problems with bootloader

* Thu Jul 15 2004 Dan Walsh <dwalsh@redhat.com> 1.15.6-1
- Rewrite Tunables comments for system-config-securitylevel

* Wed Jul 14 2004 Dan Walsh <dwalsh@redhat.com> 1.15.5-2
- Add device_type create_file_perms to unconfined_t

* Wed Jul 14 2004 Dan Walsh <dwalsh@redhat.com> 1.15.5-1
- add rpm_t for unconfined_t

* Mon Jul 12 2004 Dan Walsh <dwalsh@redhat.com> 1.15.4-1
- Break out unlimitedServices in to multiple tunables

* Mon Jul 12 2004 Dan Walsh <dwalsh@redhat.com> 1.15.3-1
- Fixes for sudo and userhelper.

* Wed Jul 7 2004 Dan Walsh <dwalsh@redhat.com> 1.15.2-1
* Wed Jul 7 2004 Dan Walsh <dwalsh@redhat.com> 1.15.1-1
- Update with latest from NSA

* Wed Jul 7 2004 Dan Walsh <dwalsh@redhat.com> 1.14.1-5
- Add allow for syslog looking at /initrd

* Tue Jul 6 2004 Dan Walsh <dwalsh@redhat.com> 1.14.1-3
- Fix automount file system
- More fixes for postgress

* Wed Jun 30 2004 Dan Walsh <dwalsh@redhat.com> 1.14.1-2
- Fixes for postgres
- Lots of fixes from Fedora list

* Wed Jun 30 2004 Dan Walsh <dwalsh@redhat.com> 1.14.1-1
- Update with latest from NSA

* Sat Jun 26 2004 Dan Walsh <dwalsh@redhat.com> 1.13.10-3
- Fix some problems generated by turning off tunables

* Sat Jun 26 2004 Dan Walsh <dwalsh@redhat.com> 1.13.10-2
- Fix post scripts

* Sat Jun 26 2004 Dan Walsh <dwalsh@redhat.com> 1.13.10-1
- Update with latest NSA

* Fri Jun 25 2004 Dan Walsh <dwalsh@redhat.com> 1.13.9-1
- Update with latest NSA
- Add more Colin patches

* Wed Jun 23 2004 Dan Walsh <dwalsh@redhat.com> 1.13.8-1
- Add Kerberos policy
- Update with latest from NSA

* Fri Jun 18 2004 Dan Walsh <dwalsh@redhat.com> 1.13.7-1
- NSA Update

* Thu Jun 17 2004 Dan Walsh <dwalsh@redhat.com> 1.13.6-1
- Another NSA update.
- Added Russell's rpm patch
- Added netlink patches

* Wed Jun 16 2004 Dan Walsh <dwalsh@redhat.com> 1.13.5-1
- Add postfix and mdadm fix from Colin
- Update to match latest from NSA

* Wed Jun 16 2004 Dan Walsh <dwalsh@redhat.com> 1.13.4-8
- Add nlclass patch

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jun 14 2004 Dan Walsh <dwalsh@redhat.com> 1.13.4-6
- Keep version with strict policy
- Remove uwimapd patch

* Wed Jun 9 2004 Dan Walsh <dwalsh@redhat.com> 1.13.4-5
- Fix patch

* Wed Jun 9 2004 Dan Walsh <dwalsh@redhat.com> 1.13.4-4
- Add Additional Russell fixes

* Tue Jun 8 2004 Dan Walsh <dwalsh@redhat.com> 1.13.4-3
- Add Hotplug fixes

* Mon Jun 7 2004 Dan Walsh <dwalsh@redhat.com> 1.13.4-2
- Add most of Russell's mods

* Mon Jun 7 2004 Dan Walsh <dwalsh@redhat.com> 1.13.4-1
- Handle newrole changes for new design
- Update to latest from NSA

* Thu Jun 3 2004 Dan Walsh <dwalsh@redhat.com> 1.13.3-3
- Handle updating /etc/selinux/config

* Wed Jun 2 2004 Dan Walsh <dwalsh@redhat.com> 1.13.3-1
- Update to latest from NSA
- Fix numerous bugs

* Wed Jun 2 2004 Dan Walsh <dwalsh@redhat.com> 1.13.2-7
- Fix su policy for terminal rename with new pam_selinux.

* Wed Jun 2 2004 Dan Walsh <dwalsh@redhat.com> 1.13.2-6
- Fix policy for setfiles and restorecon

* Wed Jun 2 2004 Dan Walsh <dwalsh@redhat.com> 1.13.2-5
- Add tunables subdir

* Tue Jun 1 2004 Dan Walsh <dwalsh@redhat.com> 1.13.2-4
- Fix hotplug and udev 

* Tue Jun 1 2004 Dan Walsh <dwalsh@redhat.com> 1.13.2-3
- Fix handling of selinux_config_t and default_context_t

* Fri May 28 2004 Dan Walsh <dwalsh@redhat.com> 1.13.2-2
- Only update policy if this policy is running

* Fri May 28 2004 Dan Walsh <dwalsh@redhat.com> 1.13.2-1
- Update to match NSA

* Thu May 27 2004 Dan Walsh <dwalsh@redhat.com> 1.13.1-2
- Change location of file_contexts and add new security contexts

* Mon May 24 2004 Dan Walsh <dwalsh@redhat.com> 1.13.1-1
- Initial version created from policy.spec

